﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.23.31dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.23.31dev/BraveSetup-x64.exe'
  checksum       = '7e23d3aa45fe74af9896c237667e6555fe35ae6bdd3417ef1ef132c705aba784'
  checksum64     = '2e2ae71d36654adc2969d336f3f7e0818257c0077e1d7088cff5025cc04ebfdd'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
